@echo off
REM This script build the MergeModule.CABinet file for the IBServer
REM Merge Module. The single parameter must be provided and should
REM be the path of the directory containing the Interbase 6 Client
REM files.

set IB=%1
set db=fbserver.msm
set GUID=63C0C361_3142_4765_98CC_A503E95477CD
if EXIST %db% goto TestIB
echo ERROR: %db% not found
goto :EOF

:TestIB
if EXIST %IB%\ibconfig goto MakeCab
echo ERROR: %IB% does not contain the Interbase Server Files
goto :EOF

:MakeCab
mkdir temp
cd temp
copy %IB%\ibconfig ibconfig.%GUID%
copy %IB%\isc4.gbk isc4gbk.%GUID%
copy %IB%\isc4.gdb isc4gdb.%GUID%
copy %IB%\bin\ibserver.exe ibserverexe.%GUID%
copy %IB%\bin\ibguard.exe ibguardexe.%GUID%
copy %IB%\bin\ib_util.dll ibutildll.%GUID%
copy %IB%\bin\gstat.exe gstatexe.%GUID%
copy %IB%\bin\ibmgr.cpl ibmgrcpl.%GUID%
copy %IB%\intl\gdsintl.dll gdsintldll.%GUID%
copy %IB%\udf\ib_udf.dll ibudfdll.%GUID%
copy %IB%\udf\fbudf.dll fbudfdll.%GUID%
copy %IB%\bin\iblockpr.exe iblockprexe.%GUID%

cabarc n ..\MergeModule.CABinet ibconfig.* isc4gbk.* isc4gdb.* ibserverexe.* ibguardexe.* ibutildll.* gstatexe.* ibmgrcpl.* gdsintldll.* ibudfdll.* iblockprexe.* fbudfdll.*
cd ..
msidb -d %db% -k MergeModule.CABinet
msidb -d %db% -a MergeModule.CABinet
del MergeModule.CABinet
del /S/Q temp
