@echo off
REM This script build the MergeModule.CABinet file for the IBTools
REM Merge Module. The single parameter must be provided and should
REM be the path of the directory containing the Interbase 6 Client
REM files.

set IB=%1
set db=fbtools.msm
set GUID=1C42D82A_0BBA_497A_A00F_6960BE006848
if EXIST %db% goto TestIB
echo ERROR: %db% not found
goto :EOF

:TestIB
if EXIST %IB%\bin\gbak.exe goto MakeCab
echo ERROR: %IB% does not contain the Interbase Client Files
goto :EOF

:MakeCab
mkdir temp
cd temp
copy %IB%\bin\gbak.exe gbak.%GUID%
copy %IB%\bin\gfix.exe gfix.%GUID%
copy %IB%\bin\gsec.exe gsec.%GUID%
copy %IB%\bin\isql.exe isql.%GUID%
copy %IB%\bin\qli.exe qli.%GUID%
cabarc n ..\MergeModule.CABinet gbak.* gfix.* gsec.* isql.* qli.*
cd ..
msidb -d %db% -k MergeModule.CABinet
msidb -d %db% -a MergeModule.CABinet
del MergeModule.CABinet
del /S/Q temp
