@echo off
REM This script build the MergeModule.CABinet file for the IBClient
REM Merge Module. The single parameter must be provided and should
REM be the path of the directory containing the Firebird Client
REM files.

set IB=%1
set db=fbclient.msm
set GUID=2293ED4E_0525_49AA_84BF_6F52B52BB20D
if EXIST %db% goto TestIB
echo ERROR: %db% not found
goto :EOF

:TestIB
if EXIST %IB%\bin\gds32.dll goto MakeCab
echo ERROR: %IB% does not contain the Interbase Client Files
goto :EOF

:MakeCab
mkdir temp
cd temp
copy %IB%\bin\gds32.dll gds32.%GUID%
copy %IB%\interbase.msg IBMessage.%GUID%
copy %IB%\IPlicense.txt license.%GUID%
copy %IB%\license.htm HTMLicense.%GUID%
copy %IB%\Doc\Firebird_v1_ReleaseNotes.pdf RelNotes.%GUID%
cabarc n ..\MergeModule.CABinet gds32.%GUID%  IBMessage.%GUID% license.%GUID% RelNotes.%GUID%  HTMLicense.%GUID% 
cd ..
msidb -d %db% -k MergeModule.CABinet
msidb -d %db% -a MergeModule.CABinet
del MergeModule.CABinet
del /S/Q temp
goto :EOF

