@echo off
REM This script build the MergeModule.CABinet file for the IBConsole
REM Merge Module. The single parameter must be provided and should
REM be the path of the directory containing the Interbase 6 Client/Server
REM files.

set IB=%1
set db=fbconsole.msm 
set GUID=0890B561_C45B_47E8_9366_02C29E323800
if EXIST %db% goto TestIB
echo ERROR: %db% not found
goto :EOF

:TestIB
if EXIST %IB%\bin\gds32.dll goto MakeCab
echo ERROR: %IB% does not contain the Interbase Client Files
goto :EOF

:MakeCab
mkdir temp
cd temp
copy %IB%\ibconsole\ibconsole.exe ibexe.%GUID%
copy %IB%\ibconsole\ibconsole.hlp ibhlp.%GUID%
copy %IB%\ibconsole\ibconsole.cnt ibcnt.%GUID%
cabarc n ..\MergeModule.CABinet ibexe.* ibhlp.* ibcnt.*
cd ..
msidb -d %db% -k MergeModule.CABinet
msidb -d %db% -a MergeModule.CABinet
del MergeModule.CABinet
del /S/Q temp
